@import url(https://fonts.googleapis.com/css?family=Open+Sans:400,800,600,700,300|Raleway:400,900,800,700,600,500,300,200|Lato:400,300,100);
@import url(https://fonts.googleapis.com/css?family=Ubuntu:700,500,400,300,300italic,400italic,500,500italic);
@import url(https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.6.3/css/font-awesome.css);
button, input, select, textarea {
  font-size: 100%;
  margin: 0;
  vertical-align: baseline;
}

html, body, div, dl, dt, dd, ul, ol, p, li, a, form, fieldset, input[type="search"], blockquote, th, td {
  margin: 0;
  padding: 0;
}

h1.title{
  text-align: center;
  font-weight: bold;
  background: antiquewhite;
  border-radius: 20px;
  padding: 10px;
}

p.welcometitle{
  text-align: center;
  font-weight: bold;
  font-size: 20px;
}

ul, ol {
  list-style: none;
}

a {
  outline: none !important;
  text-decoration: none;
  color: #000;
}

input:focus, textarea:focus, keygen:focus, select:focus {
  outline-offset: -2px;
}

div:before, select, * {
  box-sizing: border-box;
}

button, input {
  line-height: normal;
}

html,
body {
  box-sizing: border-box;
  height: 100%;
  width: 100%;
  margin: 0;
}

.flex-column-flow {
  display: flex;
  flex-direction: column;
}

.flex-row-flow {
  display: flex;
  flex-direction: row;
}

.flex-column-halign-center, .flex-row-valign-center {
  align-items: center;
}

.flex-column-vspace-around {
  justify-content: space-around;
}

.flex-column-valign-center, .flex-row-halign-center {
  justify-content: center;
  height: 100%;
}

.flex-stretch {
  align-items: stretch;
}

.h-center {
  text-align: center;
}

.hide {
  display: none;
  visibility: hidden;
}

.invisible {
  visibility: hidden;
}

.user-select-none {
  user-select: none;
  cursor: default;
}

.fit {
  width: fit-content;
}

.all-margin-auto {
  margin: auto;
}

/* MARKING ELEMENTS */
/* debug markers */
/* debug markers */
/* debug markers */
.debug-white {
  border: 1px white solid;
}

.debug-black {
  border: 1px solid black;
}

.debug-red {
  border: 1px solid red;
}

.debug-blue {
  border: 1px solid blue;
}

.outline-r {
  outline: 1px solid red;
}

.outline-g {
  outline: 1px solid green;
}

.outline-b {
  outline: 1px solid blue;
}

/*general decoration*/
/*general decoration*/
/*general decoration*/
.rounded {
  border-radius: 1rem;
}

.bck-w {
  background-color: white !important;
}

.bck-darkened {
  background-color: rgba(0, 0, 0, 0.5);
}

.ncursor {
  cursor: unset !important;
}

.dcursor {
  cursor: default !important;
}

.p-small {
  font-size: 0.7rem;
  font-weight: bold;
}

.txt-white {
  color: #EEE;
  line-height: 1;
}

body {
  /*background: radial-gradient(circle farthest-corner at right bottom, #ffd08a 0%, #ffa376 28%, #d26578 52%, #682a84 79%, #241668 100%);*/
  background: radial-gradient(circle farthest-corner at right bottom, #ffd08a 0%, #ffa376 33%, #d26578 66%, #682a84 100%);
}

/*modal pane+dialog*/
/*modal pane+dialog*/
/*modal pane+dialog*/
.modal {
  display: flex;
  z-index: -1;
  position: fixed;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
  opacity: 0;
  transition: all 0.5s linear;
}

.modal.on {
  z-index: 99;
  opacity: 1;
  background: rgba(0, 0, 0, 0.5);
}

.load-dialog {
  background: white;
  font-family: "Open Sans";
  font-size: 14px;
  font-weight: 300;
  padding: 10px;
  border-radius: 5px;
}

.dlg-header {
  font-size: 20px;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-bottom: 0.5rem;
  padding-top: 0.5rem;
  border-bottom: 1px solid #DDD;
}

.dlg-body {
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

.spinner {
  width: 40px;
  height: 40px;
  margin: 0 auto;
  background-color: orange;
  animation: sk-rotateplane 1.2s infinite ease-in-out;
}

@keyframes sk-rotateplane {
  0% {
    transform: perspective(120px) rotateX(0deg) rotateY(0deg);
    background-color: orange;
  }
  50% {
    transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg);
    background-color: red;
  }
  100% {
    transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
    background-color: orange;
  }
}
/* leaderboard */
/* leaderboard */
/* leaderboard */
.gr-txt {
  color: green;
}

.inner-canvas {
  background: white;
  border-radius: 2px;
  max-width: 1280px;
  font-family: "Raleway";
  padding: 0.5em;
  position: relative;
}
.inner-canvas .stamp {
  position: absolute;
  margin-left: -3.5rem;
  margin-top: -3.5rem;
  transform: rotate(25deg);
}
.inner-canvas .stamp img {
  max-width: 7rem;
}
.inner-canvas .toolbar {
  font-family: "Ubuntu";
  font-size: 13px;
  font-style: italic;
  color: #1F1F1F;
  overflow: auto;
  line-height: 20px;
}
.inner-canvas .header {
  width: 40em;
  padding-top: 1.5rem;
  padding-right: 2.5rem;
  padding-left: 2.5rem;
  padding-bottom: 1rem;
}
.inner-canvas .header h2 {
  font-size: 1.5em;
  line-height: 1.4;
}
.inner-canvas .fixed-header {
  position: absolute;
  width: calc( 100% - 26px );
  height: calc( 14px * 1.4 + 5px);
  overflow-y: hidden;
  z-index: 40;
}

.fl-right {
  float: right;
  border-bottom: 1px solid #888;
}

.txt-time {
  color: red;
  display: none;
  font-style: italic;
}

.table {
  font-family: "Ubuntu";
  font-weight: 300;
  font-size: 14px;
  line-height: 1.4;
  display: table;
  width: 100%;
  border-collapse: separate;
  border-spacing: 5px;
}

.table-header {
  font-weight: 700;
  display: table-row;
  width: 100%;
}

.table-header span {
  display: table-cell;
  border-bottom: 1px solid #333;
}

.table-data-row {
  font-weight: 300;
  display: table-row;
}

.table-data-row img {
  max-width: 4rem;
  border: 1px solid gray;
  vertical-align: top;
  margin-bottom: 6px;
}

.table-data-row span {
  display: table-cell;
  border-bottom: 1px lightgrey dotted;
  vertical-align: middle;
}

.nr {
  text-align: right;
}

.highlight {
  background-color: rgba(255, 0, 0, 0.2);
}

/*
.scrolling-data {
  height:150px;
  overflow-y:scroll;
  position:relative;
  margin-top:25px;
}*/
.table-scrollable-data {
  height: calc( 100vh - 20px - 1.5em*1.4 - 1.5rem - 1rem - 12rem );
  min-height: 120px;
  overflow-y: auto;
  position: relative;
  margin-top: calc( 14px * 1.4 + 5px);
}

.table.moved {
  margin-top: calc( -1 * 14px * 1.4 - 5px  );
}

.h-btn {
  cursor: pointer;
  user-select: none;
}
